> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invoke



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/assistant/invocations
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/invocations:
    post:
      tags:
        - Assistant Invocations
      summary: Invoke
      operationId: AssistantInvocationsController_invoke_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvokeAssistantAgentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantInvocationResponseDto'
components:
  schemas:
    InvokeAssistantAgentDto:
      type: object
      properties:
        agentSlug:
          type: string
          minLength: 1
          maxLength: 200
        clientTurnId:
          type: string
          minLength: 1
          maxLength: 200
        projectId:
          type: string
          pattern: ^[1-9]\d*$
        prompt:
          type: string
          minLength: 1
      required:
        - agentSlug
        - clientTurnId
        - prompt
      additionalProperties: false
    AssistantInvocationResponseDto:
      type: object
      properties:
        runId:
          type: string
        status:
          enum:
            - completed
            - failed
          type: string
        output:
          type: string
        chargedCredits:
          type: string
        errorCode:
          type: string
      required:
        - runId
        - status

````